// Code generated by MockGen. DO NOT EDIT.
// Source: gen/go/ports/v1/service_grpc.pb.go

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	grpc "google.golang.org/grpc"
	portpb "tech.test/m/proto/gen/go/ports/v1"
)

// MockPortDomainServiceClient is a mock of PortDomainServiceClient interface.
type MockPortDomainServiceClient struct {
	ctrl     *gomock.Controller
	recorder *MockPortDomainServiceClientMockRecorder
}

// MockPortDomainServiceClientMockRecorder is the mock recorder for MockPortDomainServiceClient.
type MockPortDomainServiceClientMockRecorder struct {
	mock *MockPortDomainServiceClient
}

// NewMockPortDomainServiceClient creates a new mock instance.
func NewMockPortDomainServiceClient(ctrl *gomock.Controller) *MockPortDomainServiceClient {
	mock := &MockPortDomainServiceClient{ctrl: ctrl}
	mock.recorder = &MockPortDomainServiceClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockPortDomainServiceClient) EXPECT() *MockPortDomainServiceClientMockRecorder {
	return m.recorder
}

// CreatePort mocks base method.
func (m *MockPortDomainServiceClient) CreatePort(ctx context.Context, in *portpb.CreatePortRequest, opts ...grpc.CallOption) (*portpb.CreatePortResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "CreatePort", varargs...)
	ret0, _ := ret[0].(*portpb.CreatePortResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreatePort indicates an expected call of CreatePort.
func (mr *MockPortDomainServiceClientMockRecorder) CreatePort(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreatePort", reflect.TypeOf((*MockPortDomainServiceClient)(nil).CreatePort), varargs...)
}

// MockPortDomainServiceServer is a mock of PortDomainServiceServer interface.
type MockPortDomainServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockPortDomainServiceServerMockRecorder
}

// MockPortDomainServiceServerMockRecorder is the mock recorder for MockPortDomainServiceServer.
type MockPortDomainServiceServerMockRecorder struct {
	mock *MockPortDomainServiceServer
}

// NewMockPortDomainServiceServer creates a new mock instance.
func NewMockPortDomainServiceServer(ctrl *gomock.Controller) *MockPortDomainServiceServer {
	mock := &MockPortDomainServiceServer{ctrl: ctrl}
	mock.recorder = &MockPortDomainServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockPortDomainServiceServer) EXPECT() *MockPortDomainServiceServerMockRecorder {
	return m.recorder
}

// CreatePort mocks base method.
func (m *MockPortDomainServiceServer) CreatePort(arg0 context.Context, arg1 *portpb.CreatePortRequest) (*portpb.CreatePortResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreatePort", arg0, arg1)
	ret0, _ := ret[0].(*portpb.CreatePortResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreatePort indicates an expected call of CreatePort.
func (mr *MockPortDomainServiceServerMockRecorder) CreatePort(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreatePort", reflect.TypeOf((*MockPortDomainServiceServer)(nil).CreatePort), arg0, arg1)
}

// mustEmbedUnimplementedPortDomainServiceServer mocks base method.
func (m *MockPortDomainServiceServer) mustEmbedUnimplementedPortDomainServiceServer() {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "mustEmbedUnimplementedPortDomainServiceServer")
}

// mustEmbedUnimplementedPortDomainServiceServer indicates an expected call of mustEmbedUnimplementedPortDomainServiceServer.
func (mr *MockPortDomainServiceServerMockRecorder) mustEmbedUnimplementedPortDomainServiceServer() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "mustEmbedUnimplementedPortDomainServiceServer", reflect.TypeOf((*MockPortDomainServiceServer)(nil).mustEmbedUnimplementedPortDomainServiceServer))
}

// MockUnsafePortDomainServiceServer is a mock of UnsafePortDomainServiceServer interface.
type MockUnsafePortDomainServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockUnsafePortDomainServiceServerMockRecorder
}

// MockUnsafePortDomainServiceServerMockRecorder is the mock recorder for MockUnsafePortDomainServiceServer.
type MockUnsafePortDomainServiceServerMockRecorder struct {
	mock *MockUnsafePortDomainServiceServer
}

// NewMockUnsafePortDomainServiceServer creates a new mock instance.
func NewMockUnsafePortDomainServiceServer(ctrl *gomock.Controller) *MockUnsafePortDomainServiceServer {
	mock := &MockUnsafePortDomainServiceServer{ctrl: ctrl}
	mock.recorder = &MockUnsafePortDomainServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockUnsafePortDomainServiceServer) EXPECT() *MockUnsafePortDomainServiceServerMockRecorder {
	return m.recorder
}

// mustEmbedUnimplementedPortDomainServiceServer mocks base method.
func (m *MockUnsafePortDomainServiceServer) mustEmbedUnimplementedPortDomainServiceServer() {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "mustEmbedUnimplementedPortDomainServiceServer")
}

// mustEmbedUnimplementedPortDomainServiceServer indicates an expected call of mustEmbedUnimplementedPortDomainServiceServer.
func (mr *MockUnsafePortDomainServiceServerMockRecorder) mustEmbedUnimplementedPortDomainServiceServer() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "mustEmbedUnimplementedPortDomainServiceServer", reflect.TypeOf((*MockUnsafePortDomainServiceServer)(nil).mustEmbedUnimplementedPortDomainServiceServer))
}
